/* Modo oscuro */
body {
    background: #121212;
    color: white;
}

header {
    background: #1f1f1f;
    color: white;
}

button:hover:not(.active-filter) {
    background-color: #333;
}

.active-filter {
    background-color: #3399ff;
    border-color: #3399ff;
    box-shadow: 0 0 10px #3399ffaa;
    color: white;
}

.product-card {
    background: #222;
    border-color: #444;
    color: white;
}

.product-card:hover {
    border-color: #3399ff;
    box-shadow: 0 10px 15px #3399ff55;
}

.product-card p {
    color: #bbb;
}

.product-card button {
    background-color: #3399ff;
}

.product-card button:hover {
    background-color: #006edd;
}

.cart-popup, .discount-popup, .detail-popup {
    background: #1f1f1f;
    color: white;
    box-shadow: 0 0 25px #3399ff99;
}

.cart-popup ul, .discount-popup div.items-list {
    border-color: #555;
}

#cartItems li {
    border-color: #555;
}

#cartItems li .qty-controls button {
    color: #3399ff;
}

#cartItems li .qty-controls button:hover {
    background-color: #3399ff33;
}

.discount-popup input[type="text"] {
    background: #222;
    color: white;
    border-color: #555;
}

.btn-primary {
    background-color: #3399ff;
}

.btn-primary:hover {
    background-color: #006edd;
}

.btn-secondary:hover {
    border-color: #bbb;
    color: #bbb;
}
